package net.northking.cctp.scriptcase.dto.atuscriptrecord;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

@JsonSerialize
@ApiModel(description = "脚本输入项表信息")
public class ScriptInputTableDto implements Serializable {
    @ApiModelProperty("脚本id 新建不传")
    private String scriptId;
    @ApiModelProperty("表头信息 按列存储")
    private List<ScriptInputHeaderDto> tableHeader;
    @ApiModelProperty("数据信息 按行存储")
    private List<Map<String, Object>> tableContent;

    public String getScriptId() {
        return scriptId;
    }

    public void setScriptId(String scriptId) {
        this.scriptId = scriptId;
    }

    public List<ScriptInputHeaderDto> getTableHeader() {
        return tableHeader;
    }

    public void setTableHeader(List<ScriptInputHeaderDto> tableHeader) {
        this.tableHeader = tableHeader;
    }

    public List<Map<String, Object>> getTableContent() {
        return tableContent;
    }

    public void setTableContent(List<Map<String, Object>> tableContent) {
        this.tableContent = tableContent;
    }
}
